/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package editor;

import GUIcore.AllPlugins;
import GUIcore.TypOs;
import events.DefaultInputHandler;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.File;
import java.util.ArrayList;
import java.util.logging.Logger;
import javax.swing.JFileChooser;
import javax.swing.JMenuItem;
import javax.swing.JOptionPane;
import javax.swing.JPopupMenu;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;
import org.openide.windows.WindowManager;
import org.netbeans.api.settings.ConvertAsProperties;
import org.openide.windows.Mode;
import parser.Parse;
import parser.ReadXml;
import parser.XmlWin;
import textArea.TextAreaDefaults;



import textArea.WorkWindow;
import token.ConfigToken;

/**
 * Top component which displays something.
 */
@ConvertAsProperties(dtd = "-//editor//Editor//EN",
autostore = false)
public final class EditorWin extends TopComponent {

    private static EditorWin instance;
    /** path to the icon used by the component and its open action */
//    static final String ICON_PATH = "SET/PATH/TO/ICON/HERE";
    private static final String PREFERRED_ID = "EditorTopComponent";
    private String cesta = "";
    private WorkWindow workWin = new WorkWindow();
    private ConfigToken syntaxToken = new ConfigToken();
    private int typVariable = 0;
    DefaultInputHandler skratky = new DefaultInputHandler();
    private JPopupMenu Pmenu;
    private JMenuItem menuItem;
    static int numWin = 1;
    String nameWin = "Editor " + numWin + ".";

    public EditorWin() {
        initComponents();
        setName(nameWin);
        setToolTipText(NbBundle.getMessage(EditorWin.class, "HINT_EditorTopComponent"));
        setWorkWin();
        jPanel1.setVisible(false);
        setActions();
        okno.setViewportView(workWin);
        dopredu.setEnabled(false);
        save.setEnabled(false);
        paste.setEnabled(false);
        setComboBox();
TypOs uii=new TypOs();

        workWin.setToolTipText("Pracovné okno editora");
        PopUpMenu();


//        setIcon(ImageUtilities.loadImage(ICON_PATH, true));

    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        saveFile = new javax.swing.JLabel();
        save = new javax.swing.JLabel();
        cut = new javax.swing.JLabel();
        copy = new javax.swing.JLabel();
        paste = new javax.swing.JLabel();
        undo = new javax.swing.JLabel();
        dopredu = new javax.swing.JLabel();
        hladaj = new javax.swing.JLabel();
        print = new javax.swing.JLabel();
        xmlEdit = new javax.swing.JLabel();
        openFile = new javax.swing.JLabel();
        newFile = new javax.swing.JLabel();
        okno = new javax.swing.JScrollPane();
        jPanel1 = new javax.swing.JPanel();
        jButton5 = new javax.swing.JButton();
        jLabel3 = new javax.swing.JLabel();
        findWord = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        replaceWord = new javax.swing.JTextField();
        jCheckBox1 = new javax.swing.JCheckBox();
        labProp = new javax.swing.JLabel();
        labSel = new javax.swing.JLabel();
        labEditFind = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        jButton4 = new javax.swing.JButton();
        jLabel1 = new javax.swing.JLabel();
        jComboBox1 = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        jTextField1 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jLabel5 = new javax.swing.JLabel();
        jButton2 = new javax.swing.JButton();

        setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.toolTipText")); // NOI18N

        saveFile.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/Save as.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(saveFile, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.saveFile.text")); // NOI18N
        saveFile.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.saveFile.toolTipText")); // NOI18N
        saveFile.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                saveFileMouseClicked(evt);
            }
        });

        save.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/media-floppy.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(save, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.save.text")); // NOI18N
        save.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.save.toolTipText")); // NOI18N
        save.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                saveMouseClicked(evt);
            }
        });

        cut.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-cut.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(cut, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.cut.text")); // NOI18N
        cut.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.cut.toolTipText")); // NOI18N
        cut.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                cutMouseClicked(evt);
            }
        });

        copy.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-copy.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(copy, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.copy.text")); // NOI18N
        copy.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.copy.toolTipText")); // NOI18N
        copy.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                copyMouseClicked(evt);
            }
        });

        paste.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-paste.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(paste, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.paste.text")); // NOI18N
        paste.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.paste.toolTipText")); // NOI18N
        paste.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                pasteMouseClicked(evt);
            }
        });

        undo.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-undo.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(undo, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.undo.text")); // NOI18N
        undo.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.undo.toolTipText")); // NOI18N
        undo.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                undoMouseClicked(evt);
            }
        });

        dopredu.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-redo.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(dopredu, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.dopredu.text")); // NOI18N
        dopredu.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.dopredu.toolTipText")); // NOI18N
        dopredu.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                dopreduMouseClicked(evt);
            }
        });

        hladaj.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-find.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(hladaj, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.hladaj.text")); // NOI18N
        hladaj.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.hladaj.toolTipText")); // NOI18N
        hladaj.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                hladajMouseClicked(evt);
            }
        });

        print.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/document-print.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(print, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.print.text")); // NOI18N
        print.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.print.toolTipText")); // NOI18N
        print.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                printMouseClicked(evt);
            }
        });

        xmlEdit.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/list-add.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(xmlEdit, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.xmlEdit.text")); // NOI18N
        xmlEdit.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.xmlEdit.toolTipText")); // NOI18N
        xmlEdit.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                xmlEditMouseClicked(evt);
            }
        });

        openFile.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/Open file.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(openFile, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.openFile.text")); // NOI18N
        openFile.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.openFile.toolTipText")); // NOI18N
        openFile.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                openFileMouseClicked(evt);
            }
        });

        newFile.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/document-new.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(newFile, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.newFile.text")); // NOI18N
        newFile.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.newFile.toolTipText")); // NOI18N
        newFile.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                newFileMouseClicked(evt);
            }
        });

        okno.setToolTipText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.okno.toolTipText")); // NOI18N
        okno.setAutoscrolls(true);
        okno.setCursor(new java.awt.Cursor(java.awt.Cursor.TEXT_CURSOR));

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createEtchedBorder(), org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jPanel1.border.title"))); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(jButton5, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jButton5.text")); // NOI18N
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        org.openide.awt.Mnemonics.setLocalizedText(jLabel3, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jLabel3.text")); // NOI18N

        findWord.setText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.findWord.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(jLabel4, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jLabel4.text")); // NOI18N

        replaceWord.setText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.replaceWord.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(jCheckBox1, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jCheckBox1.text")); // NOI18N

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 94, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGroup(jPanel1Layout.createSequentialGroup()
                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(jLabel4)
                                .addComponent(jLabel3))
                            .addGap(22, 22, 22)
                            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                                .addComponent(replaceWord, javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(findWord, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE))))
                    .addComponent(jCheckBox1)))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(findWord, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel3))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel4)
                    .addComponent(replaceWord, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jCheckBox1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 11, Short.MAX_VALUE)
                .addComponent(jButton5))
        );

        labProp.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/document-properties.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(labProp, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.labProp.text")); // NOI18N
        labProp.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                labPropMouseClicked(evt);
            }
        });

        labSel.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-select-all.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(labSel, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.labSel.text")); // NOI18N
        labSel.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                labSelMouseClicked(evt);
            }
        });

        labEditFind.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/edit-find-replace.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(labEditFind, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.labEditFind.text")); // NOI18N
        labEditFind.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                labEditFindMouseClicked(evt);
            }
        });

        org.openide.awt.Mnemonics.setLocalizedText(jButton4, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jButton4.text")); // NOI18N
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        org.openide.awt.Mnemonics.setLocalizedText(jLabel1, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jLabel1.text")); // NOI18N

        jComboBox1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jComboBox1MouseClicked(evt);
            }
            public void mouseEntered(java.awt.event.MouseEvent evt) {
                jComboBox1MouseEntered(evt);
            }
        });
        jComboBox1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jComboBox1ActionPerformed(evt);
            }
        });

        org.openide.awt.Mnemonics.setLocalizedText(jLabel2, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jLabel2.text")); // NOI18N

        jTextField1.setText(org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jTextField1.text")); // NOI18N

        org.openide.awt.Mnemonics.setLocalizedText(jButton1, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jButton1.text")); // NOI18N
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 140, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 61, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 103, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, 127, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 70, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 376, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(54, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel2Layout.createSequentialGroup()
                        .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, 23, Short.MAX_VALUE)
                        .addContainerGap())
                    .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 29, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 35, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jComboBox1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 34, javax.swing.GroupLayout.PREFERRED_SIZE))))
        );

        jLabel5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/resources/go-down.png"))); // NOI18N
        org.openide.awt.Mnemonics.setLocalizedText(jLabel5, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jLabel5.text")); // NOI18N
        jLabel5.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel5MouseClicked(evt);
            }
        });

        org.openide.awt.Mnemonics.setLocalizedText(jButton2, org.openide.util.NbBundle.getMessage(EditorWin.class, "EditorWin.jButton2.text")); // NOI18N
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addGap(16, 16, 16)
                        .addComponent(newFile)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(openFile)
                        .addGap(18, 18, 18)
                        .addComponent(save)
                        .addGap(18, 18, 18)
                        .addComponent(saveFile)
                        .addGap(18, 18, 18)
                        .addComponent(cut)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(copy)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(paste)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(undo)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(dopredu)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(hladaj)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labEditFind)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(xmlEdit)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(labProp)
                        .addGap(2, 2, 2)
                        .addComponent(labSel)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(print)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jLabel5)
                        .addGap(32, 32, 32)
                        .addComponent(jButton2))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(okno, javax.swing.GroupLayout.DEFAULT_SIZE, 985, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGap(302, 302, 302))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(21, 21, 21)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                                .addComponent(newFile, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(openFile, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(save, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(saveFile, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(cut, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(copy, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(paste, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(undo, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(dopredu, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(hladaj, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(xmlEdit, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(print, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(labEditFind, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(labSel, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(labProp, javax.swing.GroupLayout.DEFAULT_SIZE, 24, Short.MAX_VALUE))
                            .addComponent(jLabel5))
                        .addGap(16, 16, 16))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButton2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)))
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(okno, javax.swing.GroupLayout.DEFAULT_SIZE, 522, Short.MAX_VALUE))
                .addGap(18, 18, 18)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
    }// </editor-fold>//GEN-END:initComponents

    public void setWorkWin() {
        this.workWin = new WorkWindow(TextAreaDefaults.getDefaults());
        this.workWin.setLabel(jLabel1, jLabel2);
    }

    public void setActions() {
        workWin.getInputHandler().addKeyBinding("C+O", new openAction());
        workWin.getInputHandler().addKeyBinding("C+S", new saveAction());
        workWin.getInputHandler().addKeyBinding("C+F", new findAction());
        workWin.getInputHandler().addKeyBinding("C+P", new printAction());
        workWin.getInputHandler().addKeyBinding("A+X", new xmlAction());
        workWin.getInputHandler().addKeyBinding("C+N", new newAction());
    }
    private void saveFileMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_saveFileMouseClicked
        save();
        save.setEnabled(true);

        // TODO add your handling code here:
}//GEN-LAST:event_saveFileMouseClicked

    private void saveMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_saveMouseClicked
        if (!getCesta().isEmpty()) {
            workWin.writeFile(getCesta());
        }

        // TODO add your handling code here:
}//GEN-LAST:event_saveMouseClicked

    private void cutMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_cutMouseClicked
        workWin.cut();
        paste.setEnabled(true);
        // TODO add your handling code here:
}//GEN-LAST:event_cutMouseClicked

    private void copyMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_copyMouseClicked
        workWin.copy();
        paste.setEnabled(true);

        // TODO add your handling code here:
}//GEN-LAST:event_copyMouseClicked

    private void pasteMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_pasteMouseClicked

        workWin.paste();

}//GEN-LAST:event_pasteMouseClicked

    private void undoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_undoMouseClicked
        workWin.undo();
        dopredu.setEnabled(true);

        // TODO add your handling code here:
}//GEN-LAST:event_undoMouseClicked

    private void dopreduMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_dopreduMouseClicked
        workWin.redo();


        // TODO add your handling code here:
}//GEN-LAST:event_dopreduMouseClicked

    private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
        goToLine();
        // TODO add your handling code here:
}//GEN-LAST:event_jButton1ActionPerformed

    private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
        parse();
        // TODO add your handling code here:
}//GEN-LAST:event_jButton4ActionPerformed

    private void hladajMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_hladajMouseClicked
        find(); // TODO add your handling code here:
}//GEN-LAST:event_hladajMouseClicked

    private void printMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_printMouseClicked
        workWin.print();   // TODO add your handling code here:
}//GEN-LAST:event_printMouseClicked

    private void xmlEditMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_xmlEditMouseClicked
        setXml();

        // TODO add your handling code here:
}//GEN-LAST:event_xmlEditMouseClicked

    private void openFileMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_openFileMouseClicked
        openFile();

        // TODO add your handling code here:
}//GEN-LAST:event_openFileMouseClicked

    private void newFileMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_newFileMouseClicked
        newF();



        // TODO add your handling code here:
}//GEN-LAST:event_newFileMouseClicked

    private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
        FindAndReplace();

        // TODO add your handling code here:
    }//GEN-LAST:event_jButton5ActionPerformed

    private void labPropMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_labPropMouseClicked
        JOptionPane.showMessageDialog(null, "Počeť riadkov: " + workWin.getLineCount() + 1 + "\nPočet slov: " + workWin.getCountWord() + "\nPočet znakov: " + workWin.getCountChar()); // TODO add your handling code here:
    }//GEN-LAST:event_labPropMouseClicked

    private void labEditFindMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_labEditFindMouseClicked
        if(!jPanel1.isVisible())
        jPanel1.setVisible(true);
        else  jPanel1.setVisible(false);// TODO add your handling code here:
    }//GEN-LAST:event_labEditFindMouseClicked

    private void labSelMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_labSelMouseClicked
        workWin.selectAll();        // TODO add your handling code here:
    }//GEN-LAST:event_labSelMouseClicked

    private void jLabel5MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel5MouseClicked
       if(!jPanel2.isVisible())
        jPanel2.setVisible(true);
        else  jPanel2.setVisible(false);  // TODO add your handling code here:
    }//GEN-LAST:event_jLabel5MouseClicked

    private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
     workWin.writeFile("pomocny_subor.txt");
     AllPlugins oki;
     oki=AllPlugins.findInstance();
     Mode m=WindowManager.getDefault().findMode("rightSlidingSide");
        if(m!=null) m.dockInto(oki);
oki.setTempFile(true);
oki.open();
oki.requestActive();
     // TODO add your handling code here:
    }//GEN-LAST:event_jButton2ActionPerformed

    private void jComboBox1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jComboBox1ActionPerformed
       // TODO add your handling code here:
    }//GEN-LAST:event_jComboBox1ActionPerformed

    private void jComboBox1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBox1MouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jComboBox1MouseClicked

    private void jComboBox1MouseEntered(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jComboBox1MouseEntered
     setComboBox();     // TODO add your handling code here:
    }//GEN-LAST:event_jComboBox1MouseEntered

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel copy;
    private javax.swing.JLabel cut;
    private javax.swing.JLabel dopredu;
    private javax.swing.JTextField findWord;
    private javax.swing.JLabel hladaj;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JCheckBox jCheckBox1;
    private javax.swing.JComboBox jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JLabel labEditFind;
    private javax.swing.JLabel labProp;
    private javax.swing.JLabel labSel;
    private javax.swing.JLabel newFile;
    private javax.swing.JScrollPane okno;
    private javax.swing.JLabel openFile;
    private javax.swing.JLabel paste;
    private javax.swing.JLabel print;
    private javax.swing.JTextField replaceWord;
    private javax.swing.JLabel save;
    private javax.swing.JLabel saveFile;
    private javax.swing.JLabel undo;
    private javax.swing.JLabel xmlEdit;
    // End of variables declaration//GEN-END:variables

    /**
     * Gets default instance. Do not use directly: reserved for *.settings files only,
     * i.e. deserialization routines; otherwise you could get a non-deserialized instance.
     * To obtain the singleton instance, use {@link #findInstance}.
     */
    public static synchronized EditorWin getDefault() {
        if (instance == null) {
            instance = new EditorWin();
        }
        return instance;
    }

    /**
     * Obtain the EditorWin instance. Never call {@link #getDefault} directly!
     */
    public static synchronized EditorWin findInstance() {
        TopComponent win = WindowManager.getDefault().findTopComponent(PREFERRED_ID);
        if (win == null) {
            Logger.getLogger(EditorWin.class.getName()).warning(
                    "Cannot find " + PREFERRED_ID + " component. It will not be located properly in the window system.");
            return getDefault();
        }
        if (win instanceof EditorWin) {
            return (EditorWin) win;
        }
        Logger.getLogger(EditorWin.class.getName()).warning(
                "There seem to be multiple components with the '" + PREFERRED_ID
                + "' ID. That is a potential source of errors and unexpected behavior.");
        return getDefault();
    }

    @Override
    public int getPersistenceType() {
        return TopComponent.PERSISTENCE_ALWAYS;
    }

    @Override
    public void componentOpened() {
       numWin++; // TODO add custom code on component opening
    }

    @Override
    public void componentClosed() {
        numWin--;// TODO add custom code on component closing
    }

    void writeProperties(java.util.Properties p) {
        // better to version settings since initial version as advocated at
        // http://wiki.apidesign.org/wiki/PropertyFiles
        p.setProperty("version", "1.0");
        // TODO store your settings
    }

    Object readProperties(java.util.Properties p) {
        if (instance == null) {
            instance = this;
        }
        instance.readPropertiesImpl(p);
        return instance;
    }

    private void readPropertiesImpl(java.util.Properties p) {
        String version = p.getProperty("version");
        // TODO read your settings according to their version
    }

    @Override
    protected String preferredID() {
        return PREFERRED_ID;
    }



    public void setXml() {
        
                XmlWin okiu = XmlWin.findInstance();
                Mode m=WindowManager.getDefault().findMode("rightSlidingSide");
        if(m!=null) m.dockInto(okiu);
            okiu.open();
            okiu.requestActive();
        
    }

    private void openFile() {
        JFileChooser jfc = new JFileChooser();
        jfc.setFileSelectionMode(JFileChooser.FILES_ONLY);
        jfc.setControlButtonsAreShown(true);
        jfc.setDialogTitle("Otvor súbor");
        int result = jfc.showOpenDialog(null);
        if (result == JFileChooser.APPROVE_OPTION) {
            setCesta(jfc.getSelectedFile() + "");
            String typ = jfc.getSelectedFile().getName();
            ArrayList<String> zvyraznenie = readVariable(typ);
            setSyntax(zvyraznenie);

            View();

            if (!getCesta().isEmpty()) {
                save.setEnabled(true);
            }

        }

    }

    public void save() {

        JFileChooser jfc = new JFileChooser();
        jfc.setFileSelectionMode(JFileChooser.FILES_ONLY);
        jfc.setControlButtonsAreShown(true);
        jfc.setDialogTitle("Ulož súbor");
        jfc.setCurrentDirectory(new File("."));
        int result = jfc.showSaveDialog(null);
        if (result == JFileChooser.APPROVE_OPTION) {
            setCesta(jfc.getSelectedFile() + "");
            String typ = jfc.getSelectedFile().getName();
            workWin.writeFile(getCesta());
            ArrayList<String> zvyraznenie = readVariable(typ);
            setSyntax(zvyraznenie);
            Parse empty = new Parse(workWin);
            String property = System.getProperty("file.separator");
        String pom=cesta.substring(cesta.lastIndexOf(property)+1);
        this.setName(pom);
        }

    }

    private void parse() {
        int selectedItem = jComboBox1.getSelectedIndex();
        setTypVariable(selectedItem);
        ReadXml readXml = new ReadXml();
        ArrayList<String> pom = readXml.getPremenne(selectedItem);
        setSyntax(pom);
        Parse empty = new Parse(workWin);
    }

    public void setComboBox() {
        jComboBox1.removeAllItems();
        ReadXml readXml = new ReadXml();
        ArrayList<String> pom = readXml.getName();
      
        for (int i = 0; i < pom.size(); i++) {
            jComboBox1.addItem(pom.get(i));


        }
        jComboBox1.setSelectedIndex(typVariable);
    }

    private void setTypVariable(int i) {
        typVariable = i;
    }

    private ArrayList<String> getVariable() {
        ReadXml readXml = new ReadXml();
        ArrayList<String> pom = new ArrayList<String>();
        pom = readXml.getPremenne(getTypVariable());

        return pom;

    }

    private ArrayList<String> readVariable(String typ) {
        ReadXml readXml = new ReadXml();
        ArrayList<String> pom = new ArrayList<String>();
        ArrayList<String> names = readXml.getName();

        String trim = typ.trim();
        if (trim.contains(".")) {
            int po = trim.indexOf(".");
            typ = trim.substring(po + 1).toLowerCase();
            workWin.setTokenMarker(null);
int i=0;
boolean pravda=false;
            while ((i<names.size())&&(!pravda)) {
                int j=0;

 while ((j<readXml.getKoncovky(i).size())&&(!pravda)) {

                
                    ArrayList<String> koncovky = readXml.getKoncovky(i);
                    if (typ.equals(koncovky.get(j))) {
                        setTypVariable(i);
                        pom = readXml.getPremenne(i);
                        jComboBox1.setSelectedIndex(i);
                        pravda=true;
                    }
                                       j++;
                }

                i++;
            }
if (pravda==false) jComboBox1.setSelectedIndex(0);

        } else {
            
            workWin.setTokenMarker(null);
        }


        return pom;

    }

    private void setWord(String slovo) {
        if (!slovo.equals("")) {
            getSyntaxToken().addSlovo(slovo);
        }
    }

    public void newF() {
        setCesta("");
        workWin.clear();
        save.setEnabled(false);
        jComboBox1.setSelectedIndex(0);

    }

    private void setSyntax(ArrayList<String> pom) {
        if (pom.size() > 0) {
            getSyntaxToken().addSlova(pom);
            workWin.setTokenMarker(null);
            workWin.setTokenMarker(getSyntaxToken());

        }
    }

    private void View() {
        Parse zobSubor = new Parse(getCesta(), workWin);
        String property = System.getProperty("file.separator");
        String pom=cesta.substring(cesta.lastIndexOf(property)+1);
        this.setName(pom);


    }
public void View(String cesta) {
    String typ="";
    String property = System.getProperty("file.separator");
        String pom=cesta.substring(cesta.lastIndexOf(property)+1);
        this.setName(pom);
    if(cesta.contains(".")){
    typ = cesta.substring(cesta.lastIndexOf("."));
    if(!typ.isEmpty()){
            ArrayList<String> zvyraznenie = readVariable(typ);
            setSyntax(zvyraznenie);
    }}
        Parse zobSubor = new Parse(cesta, workWin);


    }
    private void find() {
        try {
            String searchWord = JOptionPane.showInputDialog(null);
            if (!searchWord.isEmpty()) {


                ArrayList<String> pom = getVariable();
                setSyntax(pom);
                setWord(searchWord);
                Parse empty = new Parse(workWin);

            }
        } catch (Exception ee) {
        }

    }

    /**
     * @return the cesta
     */
    private String getCesta() {
        return cesta;
    }

    /**
     * @param cesta the cesta to set
     */
    private void setCesta(String cesta) {
        this.cesta = cesta;
    }

    /**
     * @return the typVariable
     */
    private int getTypVariable() {
        return typVariable;
    }

    /**
     * @return the syntaxToken
     */
    private ConfigToken getSyntaxToken() {
        return syntaxToken;
    }

    public void goToLine() {
        String pom = jTextField1.getText();
        try {
            int riadok = Integer.parseInt(pom) - 1;
            workWin.setCaretVisible(true);
            workWin.setCaretPosition(workWin.getLineStartOffset(riadok));
        } catch (Exception e) {
            int lineCount = workWin.getLineCount();
            JOptionPane.showMessageDialog(null, "Zlá hodnota! Zadaj v rozmedzí 1-" + lineCount);
        }
    }

    /**
     * @param syntaxToken the syntaxToken to set
     */
    

    public void FindAndReplace() {
        String ret = "";
        String find = findWord.getText();
        String replace = replaceWord.getText();
        boolean subst = jCheckBox1.isSelected();

        if (subst) {
            ret = "yes";

        } else {
            ret = "no";
        }


            if ((!find.isEmpty()) && (!replace.isEmpty())) {
                workWin.search(find, replace, ret);

            } else {
                JOptionPane.showMessageDialog(null, "Prazdné hodnoty", "", JOptionPane.INFORMATION_MESSAGE);
            }
        }
    

     public class openAction implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent evt) {
            openFile();
        }
    }

    public class saveAction implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent evt) {
            save();
        }
    }

    public class findAction implements ActionListener {

        public void actionPerformed(ActionEvent evt) {
            find();
        }
    }

    public class printAction implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent evt) {
            workWin.print();
        }
    }

    public class xmlAction implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent evt) {
            setXml();
        }
    }

    public class newAction implements ActionListener {

        @Override
        public void actionPerformed(ActionEvent evt) {
            newF();
        }
    }

    private void PopUpMenu(){

    Pmenu = new JPopupMenu();
    menuItem = new JMenuItem("Nový Editor");
    Pmenu.add(menuItem).addActionListener(popud);
    menuItem = new JMenuItem("Zobraziť pluginy");
    Pmenu.add(menuItem).addActionListener(popud);
    menuItem = new JMenuItem("Použiť v plugine");
    Pmenu.add(menuItem).addActionListener(popud);
    

  this.addMouseListener(new MouseAdapter(){

            @Override
      public void mousePressed(MouseEvent me) {
int Key = me.getModifiers();
if (Key == MouseEvent.META_MASK){

Pmenu.setLocation(me.getX(),me.getY());
Pmenu.show(me.getComponent(),me.getX(),me.getY());
Pmenu.setVisible(true);

}

}
    });

  };

  ActionListener popud = new ActionListener() {

        @Override
        public void actionPerformed(ActionEvent evt) {


            if (evt.getActionCommand().equals("Nový Editor"))
            {
             EditorWin okno=new EditorWin();

      Mode m=WindowManager.getDefault().findMode("editor");
        if(m!=null) m.dockInto(okno);
        okno.open();
        okno.requestActive();
            }
            else if(evt.getActionCommand().equals("Zobraziť pluginy"))
            {
             AllPlugins okno=AllPlugins.findInstance();
        Mode m=WindowManager.getDefault().findMode("rightSlidingSide");
        if(m!=null) m.dockInto(okno);

        okno.open();
        okno.requestActive();
            }
            else if(evt.getActionCommand().equals("Použiť v plugine"))
            {

            workWin.writeFile("pomocny_subor.txt");
     AllPlugins oki;
     oki=AllPlugins.findInstance();
     Mode m=WindowManager.getDefault().findMode("rightSlidingSide");
        if(m!=null) m.dockInto(oki);
oki.setTempFile(true);
oki.open();
oki.requestActive();
            }


        }
    };



}
