/*
 * Trieda nacitava jednotlive riadky textu a nasledne ho kontroluje so slovami
 * ulozenymi v triede keywordmap ak sa tam slovo nachadza tak ho zvyrazni
 * 
 */
package token;

import java.util.ArrayList;
import javax.swing.text.Segment;

/**
 *
 * @author johnyboss
 */
public class ConfigToken extends TokenDefaults {
int pocetlo;
    public ConfigToken() {

        this.keywords = getKeywords();
    }
public int pocetslov(){
return pocetlo;
}
    public byte markTokensImpl(byte token, Segment line, int lineIndex) {
        char[] array = line.array;

        int offset = line.offset;
        lastOffset = offset;
        lastKeyword = offset;
        int length = line.count + offset;

        for (int i = offset; i < length; i++) {
            char c = array[i];

            if (token == TokenConstant.NULL) {

                if (c == ' ') {
                    pocetlo++;
                    doKeyword(line, i, c);

                } else if (c == '\t') {
                    doKeyword(line, i, c);

                } else if (c == ';') {
                    doKeyword(line, i, c);

                }
            }

        }

        if (token == TokenConstant.NULL) {
            doKeyword(line, length, '\0');
        }


        addToken(length - lastOffset, token);


        return token;
    }

    public static KeywordMap getKeywords() {
        if (cKeywords == null) {
            cKeywords = new KeywordMap(false);


        }
        return cKeywords;
    }
    private static KeywordMap cKeywords;
    private KeywordMap keywords;
    private int lastOffset;
    private int lastKeyword;

    public void addSlova(ArrayList<String> pom) {
        KeywordMap pos = null;
        if (pos == null) {
            pos = new KeywordMap(false);
        }
        for (int i = 0; i < pom.size(); i++) {
            pos.add(pom.get(i), TokenConstant.KEYWORD1);

        }
        keywords = pos;
    }

    public void addSlovo(String slovo) {
        keywords.add(slovo, TokenConstant.KEYWORD2);
    }

    private boolean doKeyword(Segment line, int i, char c) {
        int i1 = i + 1;

        int len = i - lastKeyword;
        byte id = keywords.lookup(line, lastKeyword, len);
        if (id != TokenConstant.NULL) {
            if (lastKeyword != lastOffset) {
                addToken(lastKeyword - lastOffset, TokenConstant.NULL);
            }
            addToken(len, id);
            lastOffset = i;
        }
        lastKeyword = i1;
        return false;
    }
}
